org.apache.commons.math3.transform

## Enum DftNormalization

- java.lang.Object
- - java.lang.Enum<DftNormalization>
  - - org.apache.commons.math3.transform.DftNormalization

All Implemented Interfaces:
  Serializable, Comparable<DftNormalization>

    public enum DftNormalization
    extends Enum<DftNormalization>

This enumeration defines the various types of normalizations that can be applied to discrete Fourier transforms (DFT). The exact definition of these normalizations is detailed below.

Since:
  3.0
Version:
  $Id: DftNormalization.java 1385310 2012-09-16 16:32:10Z tn $
See Also:
  `FastFourierTransformer`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`STANDARD` Should be passed to the constructor of `FastFourierTransformer` to use the standard normalization convention.
`UNITARY` Should be passed to the constructor of `FastFourierTransformer` to use the unitary normalization convention.

### Method Summary

Methods
`static DftNormalization` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DftNormalization[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STANDARD

    public static final DftNormalization STANDARD

Should be passed to the constructor of `FastFourierTransformer` to use the standard normalization convention. This normalization convention is defined as follows

- forward transform: yn = ∑k=0N-1 xk exp(-2πi n k / N),
- inverse transform: xk = N-1 ∑n=0N-1 yn exp(2πi n k / N),

where N is the size of the data sample.

#### UNITARY

    public static final DftNormalization UNITARY

Should be passed to the constructor of `FastFourierTransformer` to use the unitary normalization convention. This normalization convention is defined as follows

- forward transform: yn = (1 / √N) ∑k=0N-1 xk exp(-2πi n k / N),
- inverse transform: xk = (1 / √N) ∑n=0N-1 yn exp(2πi n k / N),

which makes the transform unitary. N is the size of the data sample.

### Method Detail

#### values

    public static DftNormalization[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DftNormalization c : DftNormalization.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DftNormalization valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null